# express-database-mysql

[![travis][travis-image]][travis-url]
[![package version][npm-image]][npm-url]
[![nodejs version][node-version-image]][node-version-url]
[![license][license-image]][license-url]
[![downloads][downloads-image]][npm-url]

MySQL connector for [`express-dababase`](https://github.com/reklatsmasters/express-database).

## Usage

```js
const mysql = require('express-database-mysql')
const app = express()
app.use(database({
  db: mysql(/* all options for mysql2 */)
}))
app.get('/api/databases', (req, res, next) => req.database.query('show databases')
  .then(rows => res.json(rows)).catch(next))
```

## API

* **`req.database.query(sql, params): Promise`** - helper for `mysql#query` method, returns `rows` array without `fields`.
* **`req.database.connect: Object`** - raw mysql connection

## License

MIT, 2016 (c) Dmitry Tsvettsikh


[travis-image]: https://travis-ci.org/ReklatsMasters/express-database-mysql.svg
[travis-url]: https://travis-ci.org/ReklatsMasters/express-database-mysql
[npm-image]: https://img.shields.io/npm/v/express-database-mysql.svg
[npm-url]: https://npmjs.org/package/express-database-mysql
[node-version-image]: http://img.shields.io/node/v/express-database-mysql.svg
[node-version-url]: http://nodejs.org/download/
[license-image]: https://img.shields.io/npm/l/express-database-mysql.svg
[license-url]: LICENSE
[downloads-image]: https://img.shields.io/npm/dm/express-database-mysql.svg
