'use strict'

const test = require('tape')
const mysql = require('./')

test('check api', function (t) {
  t.equals(typeof mysql, 'function', 'default export should be a function')

  const db = mysql()
  t.equal(typeof db, 'object', 'default export should return object')
  t.equal(typeof db.open, 'function', 'should have method `open`')

  const connect = new mysql.MyConnection({})
  t.ok('connect' in connect, 'should have property `connect`')
  t.equal(typeof connect.query, 'function', 'should have `query method`')
  t.equal(typeof connect.close, 'function', 'should have `close` method')

  t.end()
})
